add project specific css class to body  tag

2008-03-20 00:29 - Georg Leciejewski

Status: Closed Start date: 2008-03-20

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

add the projectname(like in url) as css class to the body or wrapper element. This way one could apply a different layout for each

project.

I would need it to add another background image to each header, to customize the logo. But it could also be used to restyle other

regions down the cascade.

Related issues:

Related to Redmine - Patch #14767: More CSS classes on various fields Closed

History

#1 - 2008-03-20 14:21 - Jos Yule

This would be nice - i've had a couple of requests to add logo's for particular projects into the header area.

#2 - 2008-03-20 16:01 - Rocco Stanzione

- File project_css.diff added

+1.  We don't even need a database field.  The attached patch works for me, just create a public/stylesheets/<project identifier>.css.

#3 - 2008-07-31 12:42 - Bradley Whittington

- File per_project_styling.patch added

This has the cost of a file_exists check for every page load, which is not ideal.

My attached patch just adds an id to the body, which has the drawback of using a single, monolithic css file for styling, but benefits from not adding

file_exists checks.

#4 - 2011-03-29 14:23 - Toshi MARUYAMA

- Category set to UI

#5 - 2011-03-29 14:24 - Toshi MARUYAMA

- Estimated time deleted (0.50 h)

#6 - 2013-09-30 01:52 - Mischa The Evil

- Status changed from New to Closed

This has been implemented with r12170 (#14767).

body now includes the project identifier, prepended with project-, when you are navigating a project view.

So for a project with an identifier ecookbook the CSS style would be body.project-ecookbook.

#7 - 2013-09-30 01:54 - Mischa The Evil

- Related to Patch #14767: More CSS classes on various fields added

Files

project_css.diff 643 Bytes 2008-03-20 Rocco Stanzione
https://www.redmine.org/projects/redmine/repository/svn/revisions/12170
https://www.redmine.org/issues/14767


per_project_styling.patch 480 Bytes 2008-07-31 Bradley Whittington
